"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseConfig = void 0;
const path_1 = require("path");
const pathTo = (folder) => path_1.resolve(process.cwd(), 'libs', 'server', 'database', 'src', 'lib', folder);
class DatabaseConfig {
    constructor(entities, migrations) {
        this.entities = entities;
        this.migrations = migrations;
        this.container = process.env.DB_CONTAINER;
        this.username = process.env.DB_USER;
        this.password = process.env.DB_PW;
        this.host = process.env.DB_HOST;
        this.database = process.env.DB_NAME;
        this.port = Number(process.env.DB_PORT);
        this.synchronize = false;
        this.schema = process.env.DATABASE_SCHEMA;
        this.type = 'postgres';
        this.cli = {
            migrationsDir: pathTo('migration'),
            subscribersDir: pathTo('subscriber'),
            entitiesDir: pathTo('entity')
        };
    }
}
exports.DatabaseConfig = DatabaseConfig;
//# sourceMappingURL=database.config.js.map