import { DatabaseConfig } from '../database.config';
import { PsqlService } from './psql.service';
declare type ArtifactId = 'code' | 'db';
export declare class DatabaseService {
    private readonly config;
    private readonly psql;
    readonly metaTable = "asa_metadata";
    readonly migrationDirectory = "libs/server/database/src/migration";
    constructor(config: DatabaseConfig, psql: PsqlService);
    createDb(): string;
    createMetaTable(): string;
    doesDbExist(): boolean;
    getVersion(artifactId: ArtifactId): string;
    migrate(requestedVersion?: string): string;
    setVersion(artifactId: ArtifactId, artifactVersion: string): string;
}
export {};
