"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProvisionerService = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const create_database_1 = require("../commands/create-database");
const create_database_schema_1 = require("../commands/create-database-schema");
const create_database_user_1 = require("../commands/create-database-user");
const database_config_1 = require("../database.config");
const psql_service_1 = require("./psql.service");
let ProvisionerService = class ProvisionerService {
    constructor(psql, config) {
        this.psql = psql;
        this.config = config;
    }
    provisionDb() {
        this.psql.exec(create_database_1.createDatabase(this.config.database));
    }
    provisionTenant() {
        this.psql.exec(create_database_user_1.createDatabaseUser(this.config.schema, this.config.schema));
        this.psql.exec(create_database_schema_1.createDatabaseSchema(this.config.username, this.config.schema), this.config.database);
    }
};
ProvisionerService = tslib_1.__decorate([
    common_1.Injectable(),
    tslib_1.__metadata("design:paramtypes", [psql_service_1.PsqlService,
        database_config_1.DatabaseConfig])
], ProvisionerService);
exports.ProvisionerService = ProvisionerService;
//# sourceMappingURL=provisioner.service.js.map