"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PsqlService = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const child_process_1 = require("child_process");
const database_config_1 = require("../database.config");
const spawn_sync_inject_token_1 = require("../token/spawn-sync-inject-token");
let PsqlService = class PsqlService {
    constructor(config, spawnPsqlSync) {
        this.config = config;
        this.spawnPsqlSync = spawnPsqlSync;
    }
    exec(cmd, db) {
        const dbOptions = db ? ['-d', db] : [];
        const commonArgs = ['-qtAX', '-U', this.config.username, ...dbOptions, '-c', cmd];
        const binaryRunner = this.spawnPsqlSync || child_process_1.spawnSync;
        const binaryName = 'psql';
        const process = this.config.container
            ? binaryRunner('docker', ['exec', this.config.container, binaryName, ...commonArgs])
            : binaryRunner(binaryName, commonArgs);
        return process.stdout.toString();
    }
};
PsqlService = tslib_1.__decorate([
    common_1.Injectable(),
    tslib_1.__param(1, common_1.Inject(spawn_sync_inject_token_1.spawnSyncInjectToken)),
    tslib_1.__metadata("design:paramtypes", [database_config_1.DatabaseConfig, Object])
], PsqlService);
exports.PsqlService = PsqlService;
//# sourceMappingURL=psql.service.js.map